net.sf.jasperreports.crosstabs.fill

## Class JRFillCrosstabObjectFactory

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractObjectFactory
  - - net.sf.jasperreports.engine.fill.JRFillObjectFactory
    - - net.sf.jasperreports.crosstabs.fill.JRFillCrosstabObjectFactory

- All Implemented Interfaces:
    JRVisitor

      public class JRFillCrosstabObjectFactory
      extends JRFillObjectFactory

  Factory of fill instances of crosstab internal objects.
  Version:
    $Id: JRFillCrosstabObjectFactory.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory

      `JRFillObjectFactory.StylesList`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory

      `filler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillCrosstabObjectFactory(JRFillObjectFactory parent, JRFillExpressionEvaluator expressionEvaluator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRFillCellContents` | `getCell(JRCellContents cell, java.lang.String cellType)`
    `JRFillCrosstabCell` | `getCrosstabCell(JRCrosstabCell cell)`
    `JRFillCrosstabColumnGroup` | `getCrosstabColumnGroup(JRCrosstabColumnGroup group)`
    `JRFillCrosstabMeasure` | `getCrosstabMeasure(JRCrosstabMeasure measure)`
    `JRFillCrosstabRowGroup` | `getCrosstabRowGroup(JRCrosstabRowGroup group)`
    `JROriginProvider` | `getParentOriginProvider()`
    `void` | `setParentOriginProvider(JROriginProvider parentOriginProvider)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory

      `checkUnresolvedReferences, collectRequestedStyles, collectUsedStyles, getAreaPlot, getBand, getBar3DPlot, getBarPlot, getBidimensionalData, getBubblePlot, getCandlestickPlot, getCategoryDataset, getCategorySeries, getChartAxis, getConditionalStyle, getCrosstabDataset, getCrosstabParameter, getDataset, getDatasetRun, getDatasets, getDefaultStyleProvider, getElementDatasets, getExpression, getExpressionEvaluator, getField, getFiller, getGanttDataset, getGanttSeries, getGroup, getHighLowDataset, getHighLowPlot, getLinePlot, getMeterPlot, getMultiAxisPlot, getParameter, getPie3DPlot, getPieDataset, getPiePlot, getPieSeries, getReportTemplate, getReturnValue, getScatterPlot, getSection, getStyle, getSubreportReturnValue, getThermometerPlot, getTimePeriodDataset, getTimePeriodSeries, getTimeSeries, getTimeSeriesDataset, getTimeSeriesPlot, getTrackedDatasetRuns, getValueDataset, getVariable, getXyDataset, getXySeries, getXyzDataset, getXyzSeries, registerDatasetRun, registerDelayedStyleSetter, registerDelayedStyleSetter, registerElementDataset, renameExistingStyle, setStyle, setStyles, trackDatasetRuns, useDelayedStyle, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory

      `get, getExpression, getFont, getVisitResult, put, setVisitResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRFillCrosstabObjectFactory

          public JRFillCrosstabObjectFactory(JRFillObjectFactory parent,
                                     JRFillExpressionEvaluator expressionEvaluator)

  - ### Method Detail

    - #### getParentOriginProvider

          public JROriginProvider getParentOriginProvider()

    - #### setParentOriginProvider

          public void setParentOriginProvider(JROriginProvider parentOriginProvider)

    - #### getCell

          public JRFillCellContents getCell(JRCellContents cell,
                                   java.lang.String cellType)

    - #### getCrosstabRowGroup

          public JRFillCrosstabRowGroup getCrosstabRowGroup(JRCrosstabRowGroup group)

    - #### getCrosstabColumnGroup

          public JRFillCrosstabColumnGroup getCrosstabColumnGroup(JRCrosstabColumnGroup group)

    - #### getCrosstabCell

          public JRFillCrosstabCell getCrosstabCell(JRCrosstabCell cell)

    - #### getCrosstabMeasure

          public JRFillCrosstabMeasure getCrosstabMeasure(JRCrosstabMeasure measure)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com